using System;
using Example2a.Framework;
using Example2a.Domain;

namespace Example2a.Rules {

	public class RuleTest : CompiledRule {

		protected override int GetId() {
			return 0;
		}
		protected override string GetMessage() {
			return "Name is mandatory";
		}
		public override bool IsApplicable(object targetObject) {
			return (targetObject is SimpleObject);
		}
		public override bool IsValid(object targetObject) {
			SimpleObject Target = (SimpleObject) targetObject;
			return (Target.Name != null);
		}
	}
}
