using System;

namespace Example2b.Framework {

	abstract public class CompiledRule {

		abstract protected int GetId();
		abstract protected string GetMessage();

		abstract public bool IsApplicable(object targetObject);
		abstract public bool IsValid(object targetObject);

		public int Id {
			get { return GetId(); }
		}
		public string Message {
			get { return GetMessage(); }
		}
	}
}
